import React, { Component } from "react";
import { Switch, Route } from "react-router-dom";
import { observer } from "mobx-react";
import Navbar from "./component/Navbar";
import routes from "./router";
import NotFound from "./page/NotFound";
@observer
class App extends Component {
    render() {
        return (
            <div className="App">
                <Navbar />
                <Switch>
                    {routes.map(route => (
                        <Route
                            key={route.path}
                            exact={route.exact}
                            path={route.path}
                            render={route.render}
                        />
                    ))}
                    <Route component={NotFound} />
                </Switch>
            </div>
        );
    }
    componentDidMount() {}
}

export default App;
