import React from "react";
import ReactDOM from "react-dom";
import { Provider } from "mobx-react";
import { Router } from "react-router-dom";
import history from "./router/history";
import createAppStore from "./store";
import "./index.css";
import App from "./App";
import * as serviceWorker from "./serviceWorker";
import { LocaleProvider } from "antd";
import zh_CN from "antd/lib/locale-provider/zh_CN";
import moment from "moment";
import "moment/locale/zh-cn";
import { isSSR } from "./util";
import { setStore } from "./api/http";

moment.locale("zh-cn");
const state = window.__INITIAL_STATE__;
const store = createAppStore(state);
setStore(store);

if (isSSR()) {
    ReactDOM.hydrate(
        <LocaleProvider locale={zh_CN}>
            <Router history={history}>
                <Provider store={store}>
                    <App />
                </Provider>
            </Router>
        </LocaleProvider>,
        document.getElementById("root")
    );
} else {
    ReactDOM.render(
        <LocaleProvider locale={zh_CN}>
            <Router history={history}>
                <Provider store={store}>
                    <App />
                </Provider>
            </Router>
        </LocaleProvider>,
        document.getElementById("root")
    );
}

// If you want your app to work offline and load faster, you can change
// unregister() to register() below. Note this comes with some pitfalls.
// Learn more about service workers: https://bit.ly/CRA-PWA
serviceWorker.unregister();
