import React from 'react'
import { PrivateRoute } from '../hoc'

import Login from '@/page/Login'
import UserInformation from  '@/page/user/information'
import UserPreview from '@/page/user/preview'

let routes = [
  {
    path: '/',
    exact: true,
    render: props => <PrivateRoute path="/" component={UserInformation} {...props}/>
  },
  {
    path: '/login',
    title: '用户登录',
    exact: true,
    render: props => <Login {...props}/>
  },
  {
    path: '/user/information',
    title: '用户信息录入',
    exact: true,
    render: props => (
      <PrivateRoute path="/user/information" component={UserInformation} {...props}/>
    )
  },
  {
    path: '/user/preview/:id',
    title: '简历预览',
    render: props => <UserPreview {...props}/>
  },

]

export default routes
